Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1606118 - rhash: FTBFS in Fedora rawhide
Summary: rhash: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhash
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1551327
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:30 UTC by Mohan Boddu
Modified: 2018-07-24 22:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 22:42:40 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 18:30 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 18:30 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 18:30 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:30:44 UTC
rhash failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28228093


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix rhash at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rhash will be orphaned. Before branching of Fedora 30,
rhash will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:30:49 UTC
Created attachment 1467390 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 18:30:52 UTC
Created attachment 1467393 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:30:54 UTC
Created attachment 1467395 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 10:52:14 UTC
Matches:
make: cc: Command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Igor Gnatenko 2018-07-24 22:42:40 UTC
There has been at least one successfull build after this bug got created.

rhash-1.3.5-3.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1123837


Note You need to log in before you can comment on or make changes to this bug.